Bug 835874 - Schema tool doesn't insert schema name into jBPM3 DDL scripts for DB2 and MSSQL database.
Schema tool doesn't insert schema name into jBPM3 DDL scripts for DB2 and MSS...
Status: VERIFIED
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: Build Process, JBPM - within SOA, JBPM - standalone (Show other bugs)
5.3.0 GA
Unspecified Unspecified
high Severity urgent
: ER5
: 5.3.0 GA
Assigned To: Julian Coleman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-27 07:52 EDT by Marek Baluch
Modified: 2016-09-20 01:07 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marek Baluch 2012-06-27 07:52:28 EDT
Description of problem:

Schema tool does not properly parse jBPM3 DDL scripts. In db2 and mssql remain database schema variables which cause then SQL Syntax Error Exceptions being thrown on server startup.

jbpm.jpdl.db2.sql snippet:
create table ${jdbc.db2.schema}.JBPM_ACTION (ID_ ...)

jbpm.jpdl.mssql.sql snippet:
create table ${jdbc.mssql.schema}.JBPM_ACTION (ID_ ...)

Affected scripts are the following:
jbpm.jpdl.db2.drop.sql
jbpm.jpdl.db2.sql
jbpm.jpdl.mssql.drop.sql
jbpm.jpdl.mssql.sql
Comment 1 Marek Baluch 2012-06-27 08:34:46 EDT
Removed TestBlocked tag. LeProMo helped us un-block testing with a quick fix to the SQL scripts.
Comment 2 Julian Coleman 2012-06-27 09:48:20 EDT
This looks more like a problem with the generation of the SQL in the jBPM build, as the unexpanded properties are present in the jbpm-db-3.2.13-DEV.jar.
Comment 5 Marco Rietveld 2012-06-27 11:18:52 EDT
This should be fixed now. See this commit: 
http://git.app.eng.bos.redhat.com/?p=jbpm3.git;a=commit;h=51ed049b0020e1c33897e7b6e15d80d862dba731
Comment 6 Marek Baluch 2012-06-27 11:31:28 EDT
Hi guys. I also have one test (org.jbpm.graph.node.JoinDbTest.testParentLockMode) failing because it can not find the PARENTLOCKMODE_ column in the JBPM_NODE table.

This column is defined in the SQL scripts in the jBPM source distribution but not in the SQL scripts shipped with SOA-P.

Now the curious thing is that the only database on which this test is failing is MSSQL 2008. Odd ...

Any thoughts? Julian? Marco? Anyone?
Comment 7 Marek Baluch 2012-06-28 14:51:23 EDT
Never mind. The issue in org.jbpm.graph.node.JoinDbTest.testParentLockMode is a result of this BZ.
Comment 8 Marek Baluch 2012-07-11 09:41:17 EDT
Verified on 5.3.ER5

Note You need to log in before you can comment on or make changes to this bug.